Subject: bug#48841: fido-mode is slower than ido-mode with similar settings

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Jun 2021 13:55:04 -0400

> Very true, but here's the suprise: In the flex style, there are a _lot_
> of "possible completions" for the null or very short patterns.  So those
> calculations -- which were more than certainly thought up for prefix-ish
> styles -- are quite slow (and also quite useless for flex).  At least
> that's my theory.

In the very worst possible case, `try-completion` will be just as slow
as the original computation of the set of possible completions.  So at
most it will double the total time (and this assumes we do basically
nothing else than a single call to `all-completions` to get the set of
candidates and then display them).
In practice I'd be surprised if it ever reaches the 20% mark of the time spent.

        Stefan